Bug 1564593 - replace xmlSecSoap* functions with lasso implementations
Summary: replace xmlSecSoap* functions with lasso implementations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lasso
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: John Dennis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-06 17:31 UTC by John Dennis
Modified: 2018-05-12 18:20 UTC (History)
3 users (show)

Fixed In Version: lasso-2.5.1-13.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-12 18:20:01 UTC
Type: Bug


Attachments (Terms of Use)

Description John Dennis 2018-04-06 17:31:15 UTC
xmlsec1 1.2.21 removed Soap support which Lasso utilizes (e.g. xmlSecSoap* symbols).

xmlsec1 1.2.22 restored Soap for Lasso

xmlsec1 1.2.24 deprecated Soap 

xmlsec1 1.2.25 added --enable-soap configure option to build soap support, however soap is still deprecated and will be removed in a future release.

Therefore the only sensible thing is to remove Lasso's dependence on xmlSecSoap and re-implement the functionality in Lasso.

Comment 1 Fedora Update System 2018-05-02 22:35:45 UTC
lasso-2.5.1-13.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3fcce95800

Comment 2 Fedora Update System 2018-05-03 20:23:01 UTC
lasso-2.5.1-13.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3fcce95800

Comment 3 Fedora Update System 2018-05-12 18:20:01 UTC
lasso-2.5.1-13.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.